#32/64bit 

Name:     sleepyhead
Version:  0.9.2
Release:  %mkrel 1

Summary:  Sleep tracking program
URL:      http://sourceforge.net/projects/sleepyhead/files/Releases/Linux/
Source1: %{name}.png
License:  GPLv2
Group:    Sciences/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: wget
Requires: pclinuxos-release

%description
SleepyHead is cross platform, opensource sleep tracking program for reviewing CPAP and Oximetry data, 
which are devices used in the treatment of Sleep Disorders like Obstructive Sleep Apnea.
%prep


%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT

%ifarch %{ix86}
cd %_builddir
rm -rf $RPM_BUILD_DIR/*
wget -nc http://sourceforge.net/projects/sleepyhead/files/Releases/Linux/%{name}_%{version}-1_i386.deb
ar -xv %_builddir/%{name}_%{version}-1_i386.deb
tar -xvf data.tar.gz
tar -xvf control.tar.gz
%else
cd %_builddir
rm -rf $RPM_BUILD_DIR/*
wget -nc http://sourceforge.net/projects/sleepyhead/files/Releases/Linux/%{name}_%{version}-1_amd64.deb
ar -xv %_builddir/%{name}_%{version}-1_amd64.deb
tar -xvf data.tar.gz
tar -xvf control.tar.gz
%endif

mkdir -p $RPM_BUILD_ROOT/%_bindir/
cp -r  %_builddir/usr/bin/SleepyHead $RPM_BUILD_ROOT/%_bindir/%{name}

# icon
mkdir -p $RPM_BUILD_ROOT/%_datadir/pixmaps
install -m 644 %SOURCE1 \
$RPM_BUILD_ROOT/%_datadir/pixmaps/%{name}.png



# menu-entry
mkdir -p %{buildroot}/%_datadir/applications/
cat > %{buildroot}/%_datadir/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Name=SleepyHead
Comment=Sleep tracking program
Exec=%{name}
Icon=%{name}
Terminal=0
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-Other;
EOF



%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/*

%post
%{update_menus}

%postun
%{clean_menus}


%files 
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/pixmaps/*.png
%_datadir/applications/%{name}.desktop


%changelog
* Sun Apr 27 2014 Ken <lxgator at gmail.com> 0.9.2-1pclos2014
- initial build 

